# Basemap

Utility to create the **AWI Basemap** for [maps.awi.de](maps.awi.de), [data.awi.de](data.awi.de) and [marine-data.de](marine-data.de).

## Description

The above mentioned websites use a global basemap with a colored and shaded digital elevation model (DEM) as a background. This basemap is an RGB GeoTIFF created from various geodata sources that need to be analysed (hillshade, slope), converted (raster to vector, vector to raster calculation), combined, colored and rendered to RGB. To ease the update process (e.g. new GEBCO version or any ofther data sources updated) this git provides the tools to create and update the **AWI Basemap**, as well as scripts to automate the process.

At this point, the **AWI Basemap**s is available in three color sets. All three are based on the AWI blues (RGB bright: 7/172/231, RGB dark: 0/62/110). Yet, the "default" color palette reduces these blues to half their saturation, the "bright" color palette uses the blues directly, and the "dark" color palette uses the blues with a quarter of their saturation.


<!---
## Instructions

`INSTRUCTIONS.md` holds the instructions for manually creating the **AWI Basemap** with QGIS tools, as well as instructions on the usage of the scripts.
-->

## Data

In `data`, all the necessary data sources are listed. As data is not stored in this git, textfiles give information on where to download the data and in which format it needs to be available for the process.

## Process

In `process`, all the required scripts are stored.


## Styles

In `styles`, all the required color palettes and QGIS layer style files (QML) are stored.

## Sources

References and citations for data sources are listed in `SOURCES.md`.

<!--
## Results

This is how the results look like:

##### World

Default:
![AWI Basemap World Default](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_World.png)

Bright:
![AWI Basemap World Bright](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_World_bright.png)

Dark:
![AWI Basemap World Dark](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_World_dark.png)

##### Arctic

Default:
![AWI Basemap Arctic Default](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_Arctic.png)

Bright:
![AWI Basemap Arctic Bright](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_Arctic_bright.png)

Dark:
![AWI Basemap Arctic Dark](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_Arctic_dark.png)

##### Antarctic

Default:
![AWI Basemap Antarctic Default](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_Antarctic.png)

Bright:
![AWI Basemap Antarctic Bright](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_BasemapAntarctic_bright.png)

Dark:
![AWI Basemap Antarctic Dark](https://gitlab.awi.de/sdreutte/basemap/-/raw/master/images/AWI_Basemap_Antarctic_dark.png)
-->